ZPOOL-EVENTS(8)

NAME
zpool-events - Lists all recent events generated by the ZFS kernel modules

SYNOPSIS
zpool events [-vHf [pool] | -c]

DESCRIPTION

    zpool events [-vHf [pool] | -c] Lists all recent events generated by the ZFS kernel modules. These events are consumed by the zed(8) and used to automate administrative tasks such as replacing a failed device with a hot spare. For more information about the subclasses and event payloads that can be generated see the zfs-events(5) man page.

    -c  Clear all previous events.

    -f  Follow mode.

    -H  Scripted mode. Do not display headers, and separate fields by a single tab instead of arbitrary space.

    -v  Print the entire payload for each event.

SEE ALSO
zed(8), zpool-wait(8), zfs-events(5), zfs-module-parameters(5)